Subject: CStar/Twinbrige and alternatives

From: Ng Liang Shing <[email-masked]>
Date: Thu, 14 Jul 1994 20:51:26 MYT

Date:         Wed, 13 Jul 1994 00:27:41 +0200
Reply-To: HU Bo <[email-masked]>

  There is a problem which is hardly realized by Microsoft:  many people in
  involved in CJK studies and even many Oversea-Chinese (J., K.) DO NOT want a
  fully localized Chinese (J., K.) system, but a system supporting BOTH the
  European languages and Chinese (J., K.  resp.).  Evenmore, the best system
  should be able to combine CJK with European languages.  And, that is the key
  requirement:  standard Windows applications should run on such a system.  So
  I think that solutions like CStar or TwinBridge could be a much more clever
  alternative to full localized versions, no difference of Windows or OS/2.

Besides the two solutions you mentioned, there is another solution - Chinese
Applications running on top of Standard Windows. There is no need for Chinese
Subsystem like CStar or Twinbridge or a full localised Chinese Windows.
Standard Windows will do and the Chinese functions are built into the
applications itself.

This month I have heard of, but have not tested, two products of this
category for MS-Windows:
1.  Jia Yin (a word processor, see a post earlier)
2.  Word-link. A Chinese DTP system with Chinese Postscript Fonts, a
Singaporean product.  I have not written down the telephone line of the
company who produce Word-link.  Some one in Singapore please help.  The
advertisement looks quite impressive.  It shows the program running in Mac and
Microsoft Windows.  I am trying to contact the vendor here for a
demonstration. Watch this space for further news.

As all Chinese programs do more or less the same in terms of Chinese
functions, I think the third solution has one big advantage to offer -
stability - because in principle,  it does not do anything nasty with the
Operating Systems.

These programs are applications programs which have Chinese functions but
running on top of a non-Chinese O/S. I shall keep a list of such products.
In DOS, there are NJSTAR and CWB. Now we start to see Chinese programs for
Standard Windows.  I think the list of products of the third category will be
growing in the future.

To summarise, there are three types of configuration for Chinese systems
1. fully localised Chinese O/S such as Chinese Windows
2. Standard (non-Chinese) O/S with Chinese Subsystems (patchers) such as CStar
with Windows
3. Chinese Applications running on top of Standard O/S such as NJStar for DOS
and Word-link for Windows.

What I think CStar and Twinbridge should do in the future is
- not to interfere with the low level O/S function, and at the same time
provide a consistent API to applications calling for their service. What
CStar/Twinbridge is doing now is - whether a Windows program likes it or not,
it will provide it with the Chinese functions - this is something like
intruding the privacy of those programs. What I propose is to become a
subsystems that provides service upon request only, via a consistent set API
calls.

  By the Way, has anybody tried CStar or TwinBridge on OS/2+Win?

OS/2+Win. Both OS/2-Win and OS/2 for Windows are patching Windows in some
ways. OS/2-Win patches Windows in the source code level. OS/2 for Windows
patches Windows in the memory during run-time. Both aim to correct the
behaviour of Windows so that it behave better on top of OS/2. (I vaguely
remember that is to make Windows a well behaved DPMI server.)

Now if you use CStar or Twinbridge, you are effectively patching the Windows
in the memory during run-time.

How stable will the system behave after Windows has been patched twice ??
First by OS/2, then by CStar??

Yours,
Liangsheng Wu

--
Ng Liang Shing            |   This is an Internet node host inside
Sungai Petani, Malaysia   |   an old 286.  A few years back, this place
[email-masked]          |   was not more than a small town.